Bug 4061 - xml:space corruption
xml:space corruption
Status: RESOLVED NOTOURBUG
Product: openclipart.org
Classification: Unclassified
Component: clipart
unspecified
x86 (IA32) Windows (All)
: high normal
Assigned To: default user for a product
:
Depends on:
Blocks: 8627
  Show dependency treegraph
 
Reported: 2005-08-13 06:04 UTC by Daniel Stone
Modified: 2010-08-18 03:23 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description FreeDesktop Bugzilla Database Corruption Fix User 2005-08-13 06:04:13 UTC
There are a great many SVG files in the collection in which the 'xml:space'
attribute has been changed to 'space'. This can cause text to be rendered in the
wrong position.

Fixing this should be fairly straightforward, as it's just a matter of changing
all 'space' attributes to 'xml:space'. There is no 'space' attribute in SVG, so
this shouldn't have any unwanted side effect. However, to be safe it would be a
good idea to make the change only if the value of the attribute is "preserve" or
"default" - other values should not occur, and can be reported as errors. 

But there's not much point in fixing these files until the bug that is causing
the damage has been fixed. This bug is presumably in SVG::Metadata. The problem
first appeared in release 0.13.

The 'xml' prefix is special in that XML files can use it without defining it,
since it's always implicitly bound to "http://www.w3.org/XML/1998/namespace".
The bug is probably related to this.
Comment 1 Jonadab the Unsightly One 2005-08-26 05:32:51 UTC
Looks like this one too lost its content in the RAID failure.  I shall attempt
to restore it from my mail archives...

From: bugzilla-daemon@freedesktop.org
Subject: [Clipart] [Bug 4061]  New: xml:space corruption          
To: clipart@lists.freedesktop.org
Date: Fri, 12 Aug 2005 13:04:13 -0700 (PDT)

Please do not reply to this email: if you want to comment on the bug, go to    
       
the URL shown below and enter yourcomments there.     
   
https://bugs.freedesktop.org/show_bug.cgi?id=4061          
     
           Summary: xml:space corruption
           Product: openclipart.org
           Version: unspecified
          Platform: PC
        OS/Version: Windows XP
            Status: NEW
          Severity: normal
          Priority: P2
         Component: clipart
        AssignedTo: clipart@lists.freedesktop.org
        ReportedBy: sas00003@btinternet.com


There are a great many SVG files in the collection in which the 'xml:space'
attribute has been changed to 'space'. This can cause text to be rendered in the
wrong position.

Fixing this should be fairly straightforward, as it's just a matter of changing
all 'space' attributes to 'xml:space'. There is no 'space' attribute in SVG, so
this shouldn't have any unwanted side effect. However, to be safe it would be a
good idea to make the change only if the value of the attribute is "preserve" or
"default" - other values should not occur, and can be reported as errors. 

But there's not much point in fixing these files until the bug that is causing
the damage has been fixed. This bug is presumably in SVG::Metadata. The problem
first appeared in release 0.13.

The 'xml' prefix is special in that XML files can use it without defining it,
since it's always implicitly bound to "http://www.w3.org/XML/1998/namespace".
The bug is probably related to this.          
     
Comment 2 ryanlerch 2006-10-12 22:03:03 UTC
encompassed by the new feature request - https://bugs.freedesktop.org/
show_bug.cgi?id=8627
Comment 3 ajax at nwnk dot net 2008-02-24 18:22:14 UTC
Mass reopen.  The "LATER" resolution is lame, I'm deleting it.  Consider LATER to have arrived.
Comment 4 Tollef Fog Heen 2010-08-18 03:23:43 UTC
Closing all openclipart bugs as openclipart is now on launchpad, as per request from  Jon Philips.